libpbseq_5.3.1+dfsg-2.1_all.deb


Advertisement

Description

libpbseq - library for analyzing PacBio sequencing data

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libpbseq_5.3.1+dfsg-2.1_all.deb
Package name libpbseq
Package version 5.3.1+dfsg
Package release 2.1
Package architecture all
Package type deb
Category metapackages
Homepage https://github.com/PacificBiosciences/blasr_libcpp
License -
Maintainer Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Download size 4.48 KB
Installed size 13.00 KB
Blasr_libcpp is a library used by blasr and other executables such as
samtoh5, loadPulses for analyzing PacBio sequences. This library contains
three sub-libraries, including pbdata, hdf and alignment.
This is a metapackage that depends on the pbseqlib component shared libraries.

Alternatives

Package Version Architecture Repository
libpbseq_5.3.1+dfsg-2.1_all.deb 5.3.1+dfsg all Debian Main
libpbseq - - -

Requires

Name Value
libblasr >= 5.3.1+dfsg-2.1
libpbdata >= 5.3.1+dfsg-2.1
libpbihdf >= 5.3.1+dfsg-2.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpbseq_5.3.1+dfsg-2.1_all.deb
Source Package pbseqlib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpbseq deb package:
    # sudo apt-get install libpbseq

Files

Path
/usr/share/doc/libpbseq/changelog.Debian.gz
/usr/share/doc/libpbseq/copyright

Changelog

2019-02-06 - Adrian Bunk <bunk@debian.org>
pbseqlib (5.3.1+dfsg-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Remove manual dependencies on libpbbam, version build
dependency on libpbbam-dev to ensure a proper dependency
is generated.
2019-01-28 - Andreas Tille <tille@debian.org>
pbseqlib (5.3.1+dfsg-2) unstable; urgency=medium
* Team upload.
* Install pkg-config file for libblasr
* debhelper 12
* Standards-Version: 4.3.0
* Secure URI in copyright format
2018-07-02 - Andreas Tille <tille@debian.org>
pbseqlib (5.3.1+dfsg-1) unstable; urgency=medium
[ Andreas Tille ]
* Team upload.
* d/watch: Upstream has tagged a release so use proper watch file
* Exclude binary tools from upstream tarball
* Set PREFIX_INC=.. to make sure header files will be found
* cme fix dpkg-control
- Point Vcs-fields to Salsa
- Standards-Version: 4.1.4
- Sequence of fields
- Formatting
* check DEB_BUILD_OPTIONS in auto_test override
* Remove unused lintian override
* hardening=+all
[ Gilles Filippini ]
* Fix build against recent Hdf5 lib
2017-11-09 - Afif Elghraoui <afif@debian.org>
pbseqlib (0~20161219-2) unstable; urgency=medium
* Add support for HDF5 1.10.1
Thanks to Gilles Filippini for the patches (Closes: #880805)
* Bump Standards-Version to 4.1.1
* Update copyright year
* Handle nocheck build profile
2016-12-20 - Afif Elghraoui <afif@debian.org>
pbseqlib (0~20161219-1) unstable; urgency=medium
* Imported Upstream version 0~20161219
(upstream git 61c6ab0)
* Update to debhelper compat 10
2016-12-17 - Afif Elghraoui <afif@debian.org>
pbseqlib (0~20160705-2) unstable; urgency=medium
* Build with pbbam
2016-10-23 - Afif Elghraoui <afif@debian.org>
pbseqlib (0~20160705-1) unstable; urgency=medium
* Imported Upstream version 0~20160705
(upstream git 0ae1691)
- Drop patches
- Fix "clean" target
* Move header files to avoid breaking relative paths
* Bump Standards-Version to 3.9.8
* Don't put libpbseq in Metapackages section
* Use encrypted protocols for VCS
* Update email address and copyright years
* Use O3 optimization
* Use dh-exec to handle library installation
* Install libraries to main ldpath and add ld triggers
* Remove unnecessary definition in d/rules
* Remove obsolete lintian overrides
* Add README.source to explain relationship with reverse-dependencies
2015-12-13 - Afif Elghraoui <afif@ghraoui.name>
pbseqlib (0~20151014+gitbe5d1bf-2) unstable; urgency=medium
* Add package interdependencies.
* Correct the dependencies of libpbseq-dev
* Set up some build-time tests
* Fix build on 32-bit architectures (Closes: #807583)
* Drop symlinks from -dev packages
2015-11-16 - Afif Elghraoui <afif@ghraoui.name>
pbseqlib (0~20151014+gitbe5d1bf-1) unstable; urgency=medium
* Initial release (Closes: #798218)

See Also

Package Description
libpcap-dev_1.8.1-6_amd64.deb development library for libpcap (transitional package)
libpcap0.8-dev_1.8.1-6_amd64.deb development library and header files for libpcap0.8
libpcap0.8_1.8.1-6_amd64.deb system interface for user-level packet capture
libpcaudio-dev_1.1-3_amd64.deb C API to different audio devices - development files
libpcaudio0_1.1-3_amd64.deb C API to different audio devices - shared library
libpcc-dev_1.2.0~DEVEL+20180604-2.1_amd64.deb Portable C Compiler (development files)
libpcg-cpp-dev_0.98.1-2_all.deb compile-time library for PCG random number generation
libpci-dev_3.5.2-1_amd64.deb Linux PCI Utilities (development files)
libpci3_3.5.2-1_amd64.deb Linux PCI Utilities (shared library)
libpciaccess-dev_0.14-1_amd64.deb Generic PCI access library for X - development files
libpciaccess0_0.14-1_amd64.deb Generic PCI access library for X
libpcl-apps1.9_1.9.1+dfsg1-10_amd64.deb Point Cloud Library - apps library
libpcl-common1.9_1.9.1+dfsg1-10_amd64.deb Point Cloud Library - common library
libpcl-conversions-dev_0.2.1-4_amd64.deb Robot OS library to convert from/to PCL data types
libpcl-dev_1.9.1+dfsg1-10_amd64.deb Point Cloud Library - development files
Advertisement
Advertisement